# $Revision: 1.5 $, $Date: 2004/08/01 22:35:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Approx-Symbolic
Summary:	Math::Approx::Symbolic - symbolic representation of interpolated polynomials
Summary(pl):	Math::Approx::Symbolic - symboliczna reprezentacja interpolowanych wielomianw
Name:		perl-Math-Approx-Symbolic
Version:	0.100
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c9af92c005543fd4da89d88bd5a012ec
BuildRequires:	perl-Math-Approx >= 0.200
BuildRequires:	perl-Math-Symbolic >= 0.123
%if %{with tests}
BuildRequires:	perl(Test::More)
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a thin wrapper around the Math::Approx module. It
subclasses Math::Approx and adds the "symbolic" subroutine that return
a Math::Symbolic object representing the calculated approximation.

%description -l pl
Ten modu to niewielki wrapper do moduu Math::Approx. Jest podklas
Math::Approx i dodaje funkcj "symbolic", zwracajc obiekt
Math::Symbolic reprezentujcy obliczon aproksymacj.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Math/Approx
%{perl_vendorlib}/Math/Approx/Symbolic.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Approx-Symbolic.spec,v $
Revision 1.5  2004/08/01 22:35:02  ankry
- added missing dir, rel. 2

Revision 1.4  2004/05/06 18:43:15  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/23 07:50:14  ankry
- license fixes, unification

Revision 1.2  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.1  2003/10/25 00:47:40  qboosh
- new

